## org.apache.poi.ddf
Class EscherDggRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherDggRecord

public class EscherDggRecord
extends EscherRecord

This record defines the drawing groups used for a particular sheet.

Nested Class Summary
`static class` `EscherDggRecord.FileIdCluster`

Field Summary
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID`

Constructor Summary
`EscherDggRecord()`

Method Summary
`void` `addCluster(int dgId, int numShapedUsed)`
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` This method deserializes the record from a byte array.
`int` `getDrawingsSaved()`
`EscherDggRecord.FileIdCluster[]` `getFileIdClusters()`
`int` `getNumIdClusters()`
`int` `getNumShapesSaved()`
`short` `getRecordId()` Return the current record id.
`java.lang.String` `getRecordName()` The short name for this record
`int` `getRecordSize()` Returns the number of bytes that are required to serialize this record.
`int` `getShapeIdMax()`
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` This method serializes this escher record into a byte array.
`void` `setDrawingsSaved(int field_4_drawingsSaved)`
`void` `setFileIdClusters(EscherDggRecord.FileIdCluster[] field_5_fileIdClusters)`
`void` `setNumShapesSaved(int field_3_numShapesSaved)`
`void` `setShapeIdMax(int field_1_shapeIdMax)` The maximum is actually the next available.
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, isContainerRecord, readHeader, serialize, serialize, setChildRecords, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### EscherDggRecord

    public EscherDggRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  This method deserializes the record from a byte array.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the escher record information
    `offset` - The starting offset into `data`.
    `recordFactory` - May be null since this is not a container record.
  Returns:
    The number of bytes read from the byte array.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  This method serializes this escher record into a byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - The offset into `data` to start writing the record data to.
    `data` - The byte array to serialize to.
    `listener` - A listener to retrieve start and end callbacks. Use a `NullEscherSerailizationListener` to ignore these events.
  Returns:
    The number of bytes written.
  See Also:
    `NullEscherSerializationListener`

### getRecordSize

    public int getRecordSize()

  Returns the number of bytes that are required to serialize this record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    Number of bytes

### getRecordId

    public short getRecordId()

  Description copied from class: `EscherRecord`
  Return the current record id.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    The 16 bit record id.

### getRecordName

    public java.lang.String getRecordName()

  The short name for this record

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

### getShapeIdMax

    public int getShapeIdMax()

### setShapeIdMax

    public void setShapeIdMax(int field_1_shapeIdMax)

  The maximum is actually the next available. shape id.

### getNumIdClusters

    public int getNumIdClusters()

### getNumShapesSaved

    public int getNumShapesSaved()

### setNumShapesSaved

    public void setNumShapesSaved(int field_3_numShapesSaved)

### getDrawingsSaved

    public int getDrawingsSaved()

### setDrawingsSaved

    public void setDrawingsSaved(int field_4_drawingsSaved)

### getFileIdClusters

    public EscherDggRecord.FileIdCluster[] getFileIdClusters()

### setFileIdClusters

    public void setFileIdClusters(EscherDggRecord.FileIdCluster[] field_5_fileIdClusters)

### addCluster

    public void addCluster(int dgId,
                           int numShapedUsed)

Copyright © 2003 Apache Software Foundation.